<% if (recent_connections && recent_connections.length) { %>
<div class="flex">
    <% } %>
    <% if (recent_connections && recent_connections.length) { %>
        <div class="recent-connection">
            <h4 style="margin-top:0;font-style:oblique;">Saved Connections</h4>
            <% for (var i = 0; i < recent_connections.length; i++) { %>
                <div style="border-bottom: 1px solid #2f3a4b;margin-bottom:8px;padding-bottom:8px;">
                    <div class="item" style="max-width: 200px;overflow-x:hidden;display:inline-block;white-space: nowrap;"><a
                                id="recent-connection-<%= i %>"
                                href="#"><span class="tooltip"><%= recent_connections[i].uri %></span><%= recent_connections[i].nickname || recent_connections[i].uri %></a>
                    </div>
                    <a class="remove" id="remove-recent-connection-<%= i %>" href="#"><i
                                class="far fa-trash-alt"></i></a>
                </div>
            <% } %>
        </div>
    <% } %>
    <div class="hero flex align-center justify-center">

        <div class="flex" style="justify-content: stretch;flex-direction: row;">
            <div>
                <div>

                    <h1 class="display-1"
                        style="margin-bottom:0;font-weight:bolder;font-size:58pt;font-style: oblique;">
                        <img src="spectre-ghost.png"
                             style="height:91px; vertical-align: top; position: relative;left: -8px; top: 0;">Spectre ES
                    </h1>
                    <h4 style="margin-top:0;text-align:right;font-style:oblique;">Elasticsearch Desktop GUI</h4></div>

                <div class="flex">
                    <input id="uri" type="text" value="<%= uri || "http://localhost:9200" %>"
                           placeholder="http://localhost:9200" style="width:100%;">
                    <div id="connection_status" style="display: inline-block;color:#999;margin:0 7px;"><i
                                class="fas fa-fw fa-ellipsis-h"></i></div>
                    <input id="connect" type="submit" value="Connect"><br/>
                </div>
                <small style="margin: 8px 0;display:block;">Optional Connection Parameters:</small>
                <div class="flex">
                    <input id="username" class="optional" type="text" placeholder="username"
                           value="<%= username || "" %>"
                           style="width:100%;margin-right:8px;">
                    <input id="password" class="optional" type="password" placeholder="password"
                           value="<%= password || "" %>" style="width:100%;margin-right:8px;">
                    <input id="apiKey" class="optional" type="password" placeholder="apiKey" value="<%= apiKey || "" %>"
                           style="width:100%;">
                </div>

                <p>
                    <label for="save_connection" class="noselect"><input id="save_connection"
                                                                         type="checkbox" <%= save_connection %>/><span
                                class="input-checkbox-icon"> Save Connection for Later </span></label>
                    <input
                            id="save_connection_nickname" class="optional" style="display:none;" type="text"
                            placeholder="nickname (optional)">
                </p>

            </div>

        </div>

    </div>

    <% if (recent_connections && recent_connections.length) { %>
</div>
<% } %>
<footer>
    <p class="right" style="text-align: right;">
    From the people of <a href="https://oakframe.org" target="_blank">OakFrame</a> and <a
                href="https://timerocket.com" target="_blank">TimeRocket</a>.<br/>
        For questions or feature requests, email us at <a href="mailto:spectre.support@timerocket.com">spectre.support@timerocket.com</a>.<br/>
        <small>Elasticsearch is a trademark of Elasticsearch BV, registered in the U.S. and in other countries.</small>
    </p>
</footer>